Package org.apache.tomcat.util.descriptor.web

## Class JspConfigDescriptorImpl

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.JspConfigDescriptorImpl

All Implemented Interfaces:
  `JspConfigDescriptor`

    public class JspConfigDescriptorImpl
    extends java.lang.Object
    implements JspConfigDescriptor

### Constructor Summary

Constructors
`JspConfigDescriptorImpl​(java.util.Collection<JspPropertyGroupDescriptor> jspPropertyGroups, java.util.Collection<TaglibDescriptor> taglibs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<JspPropertyGroupDescriptor>` `getJspPropertyGroups()` Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.
`java.util.Collection<TaglibDescriptor>` `getTaglibs()` Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspConfigDescriptorImpl

    public JspConfigDescriptorImpl​(java.util.Collection<JspPropertyGroupDescriptor> jspPropertyGroups,
                                   java.util.Collection<TaglibDescriptor> taglibs)

### Method Detail

#### getJspPropertyGroups

    public java.util.Collection<JspPropertyGroupDescriptor> getJspPropertyGroups()

Description copied from interface: `javax.servlet.descriptor.JspConfigDescriptor`
Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.

Specified by:
  `getJspPropertyGroups` in interface `JspConfigDescriptor`
Returns:
  the JSP property groups

#### getTaglibs

    public java.util.Collection<TaglibDescriptor> getTaglibs()

Description copied from interface: `javax.servlet.descriptor.JspConfigDescriptor`
Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.

Specified by:
  `getTaglibs` in interface `JspConfigDescriptor`
Returns:
  the tag library descriptors